Subject: Re: Issues with new icon styles

From: Marcus Lundblad <[email-masked]>
Date: Wed, 1 Jan 2003 20:50:36 +0100 (CET)

> I see a bug for icons _with_ a mask (XClock icon), the mask disappear
> when there is an icon bg cset: the transparent part has the colour of
> the title (Ooops fixed). But on the non transparent part (and so for
> monochrome icon without a shape mask) IMO it is normal that the colours
> of the icon follow the title colour (fg part of the icon). In the same
> way IconTint and IconAlpha colorset option are taken from the icon
> title colorsets and not from the icon bg one.

> I've just fixed a bug related to this. Can you try latest cvs and report
> this bug in a precise way if it is still there.

I tried the later build (from yesterday), and that bug I was seeing before
is gone. 

But when iconifiying an xeamcs, there is a black background around the
icon picture (inside this is the icon picture provided by xemacs with a
grey background).
I think xemacs is not providing the black part. When running mwm there is
no black background. The part outside the grey background area is coloured
with the standard coulour of icons (a small band inside the icon border).

Perhaps there is a problem with differenr visuals?

By the way, I really like the new icon background feature.

//Marcus

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Olivier Chapuis <[email-masked]>
Date: Thu, 2 Jan 2003 08:30:40 +0100

> Perhaps there is a problem with differenr visuals?

No, I do not think so. I think you use the IconSize Style?  What's
happen is that the xemacs icons is a non monochrome icon without a
shape mask. The IconSize a b style copy the xemacs icon onto a black a
by b pixmap. I will fix this soon.

Olivier

---

From: Olivier Chapuis <[email-masked]>
Date: Thu, 2 Jan 2003 09:55:13 +0100

> with the standard coulour of icons (a small band inside the icon border).

Is this fixed now?

Olivier

---

From: Marcus Lundblad <[email-masked]>
Date: Sat, 4 Jan 2003 00:47:43 +0100 (CET)

> > with the standard coulour of icons (a small band inside the icon border).

Yes, now it gets the correct background colour.

//Marcus